## TrackerFileEnumerator TrackerFileEnumerator — File based enumerator for file:// descendant URIs |

## Functions

TrackerEnumerator * | tracker_file_enumerator_new ()

## Types and Values

struct | TrackerFileEnumeratorClass
| TrackerFileEnumerator

## Includes

    #include <libtracker-miner/miner.h>

## Description

TrackerFileEnumerator is a local file implementation of the TrackerEnumerator interface, charged with handling all file:// type URIs.

Underneath it all, this implementation makes use of the GFileEnumerator APIs.

## Functions

### tracker_file_enumerator_new ()

    TrackerEnumerator *
    tracker_file_enumerator_new (GFileEnumerator *file_enumerator);

Creates a new TrackerEnumerator which can be used to create new TrackerMinerFS classes. See TrackerMinerFS for an example of how to use your TrackerEnumerator.

#### Parameters

file_enumerator | the GFileEnumerator used to enumerate with |

#### Returns

a TrackerEnumerator which must be unreferenced with `g_object_unref()`.

[transfer full]

Since: 1.2

## Types and Values

### struct TrackerFileEnumeratorClass

    struct TrackerFileEnumeratorClass {
    	GObjectClass parent_class;
    };

Prototype for the class implementation.

#### Members

### TrackerFileEnumerator

    typedef struct _TrackerFileEnumerator TrackerFileEnumerator;

An implementation of the TrackerEnumerator interface.